import React, { useState } from 'react';
import { PageContainer, ProCard } from '@ant-design/pro-components';
import { Col, Empty, Row } from 'antd';
import ApprovalProcess from './components/ApprovalProcess';
import AuditDetailed from './components/AuditDetailed';
import { queryGetBomForm, queryProcessFlows } from '@/services/boom';
import { useParams, useRequest } from 'umi';

const OaDetail = () => {
  const [approvalProcess, setApprovalProcess] = useState([]);
  const { oaId } = useParams();
  const items = [];

  const { data, loading } = useRequest(queryProcessFlows, {
    defaultParams: [{ ids: oaId }],
  });

  //填写表单实时计算审批流程
  const advanceSubmit = async (changedFields, allFields) => {
    console.log(changedFields, allFields);
  };

  return (
    <PageContainer loading={loading}>
      <ProCard style={{ minHeight: '80vh' }}>
        <Row gutter={24}>
          <Col span={12}>
            <AuditDetailed
              items={data?.formData}
              onFieldsChange={advanceSubmit}
            />
          </Col>
          <Col span={12}>
            {approvalProcess.length == 0 ? ( //!formComponentValues[item.nodeId] ||
              <Empty description="请先填写表单" />
            ) : (
              <ApprovalProcess
                approvalProcess={approvalProcess}
                onChange={setApprovalProcess}
              />
            )}
          </Col>
        </Row>
      </ProCard>
    </PageContainer>
  );
};

export default OaDetail;
